Name:		pikdev
Version:	0.9.2
Release:	1%{?dist}
Summary:	IDE for development of PICmicro based application (under Linux/KDE)
Summary(fr):	EDI pour le développement d'applications à base de microcontrôleurs PIC

Group:		Development/Tools
License:	GPL
Url:		http://pikdev.free.fr
Source0:	http://pikdev.free.fr/%{name}-%{version}-1.tar.gz
Source1:	%{name}.desktop
Source2:	README.Fedora
Source3:	LISEZMOI.Fedora
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils, kdelibs-devel

Requires:	gputils

%description
PiKdev is a simple IDE dedicated to the development of PIC
based applications under KDE.
Features:
 - Integrated editor
 - Project management
 - Integrated programming engine for 12, 14 and 16 bits PIC
   (flash or EPROM technology)
 - Support for parallel and serial port programmers
 - KDE compliant look-and-feel

WARNING: Administrator have to see the README.Fedora file locate
in the %{_docdir}/%{name}-%{version} directory
to complete full feature installation.

%description -l fr
PiKdev est un EDI (Environnement de Développement Intégré) dédié au
développement, sous KDE, d'applications à base de microcontrôleurs
PIC de Microchip.
Fonctionnalités :
 - Éditeur intégré
 - Gestionnaire de projet
 - Engin de programmation intégré pour les PIC 12, 14 et 16 bits
   (technologie flash ou EPROM)
 - Gestion des programmateurs pour port parallèle et port série
 - Conformité de l'aspect et de la convivialité de KDE

ATTENTION : l'installateur du paquetage doit lire le fichier LISEZMOI.Fedora,
situé dans le répertoire %{_docdir}/%{name}-%{version}, afin de voir
comment finir l'installation.

%prep

%setup -q -n pikdev-0.9.2-1

%{__install} -pm 644 %{SOURCE2} .
%{__install} -pm 644 %{SOURCE3} .

%build

# Needed for FC-4 x86_64 arch
# See bug #169132
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure --disable-rpath

cd src
make -f Makefile.pkp \
CCPP=g++ \
LINK=g++ \
CCPPOPT="$RPM_OPT_FLAGS -DPKP_VERSION=0.9.2" \
LIBS=
cd ..
make %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
%{__rm} -f $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category "Development" \
  --add-category "IDE" \
  --add-category "X-Fedora" \
  %{SOURCE1}

%find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README.Fedora LISEZMOI.Fedora
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/apps/%{name}/
%{_datadir}/apps/katepart/syntax/*
%{_datadir}/doc/HTML/en/%{name}/
%{_datadir}/icons/*

%changelog
* Thu Sep 21 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.9.2-1
  - New upstream version
* Thu Aug 24 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.9.1-2
  - Fix doc permissions (#200832).
* Tue Apr 11 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.9.1-1
  - New upstream version
* Fri Apr 07 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-10
  - Fix patch name
* Fri Apr 07 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-9
  - Add patch to try to build ppc arch
  - Contributions of David Woodhouse <dwmw2[AT]redhat[DOT]com>
* Wed Apr 05 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-8
  - New try to build x86_64 arch for FC-4
  - Unset $QTDIR before sourcing qt.sh
  - Thanks to Rex Dieter <rdieter[AT]math[DOT]unl[DOT]edu>
    and Michael Schwendt <bugs[DOT]michael[AT]gmx[DOT]net>
* Thu Mar 23 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-7
  - No fix. So, remove the previous change
  - Definitely exclude arch x86_64 for FC-4
* Thu Mar 23 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-6
  - $QTDIR is set. So, remove the previous change
  - Try to fix x86_64 build failure by adding BR qt-devel
* Wed Mar 15 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-5
  - Source qt.sh if $QTDIR isn't set. Always Ralf...
* Wed Mar 15 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-4
  - Exclude temporarily ppc arch because <sys/io.h> don't exist
    in ppc glibc headers
  - Override compiler for pkp Makefile and propagate $RPM_OPT_FLAGS on it
  - Make install instead of install-strip
  - Contributions of Ralf Corsepius <rc040203[AT]freenet[DOT].de>
    Thanks to him.
* Wed Mar 08 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-3
  - Remove useless BuildRequires qt-devel, xorg-x11-devel for FE5
  - Package must own %%{_datadir}/apps/%%{name} directory
* Tue Jan 31 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-2
  - Don't use the precompiled version of pkp
* Mon Jan 30 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-1
  - New upstream version
* Tue Jan 10 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.2-2
  - Add the %%{?dist} macro
* Fri Dec 16 2005 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.2-1
  - New version
  - Add french summary and description
  - Add french documentation
* Mon Jan 10 2005 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.7.2-0.fdr.1
  - New version
* Mon Nov 08 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.7.1-0.fdr.2
  - Add BuildRequires kdelibs-devel, qt-devel, xorg-x11-devel
* Wed Oct 27 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.7.1-0.fdr.1
  - Initial Fedora RPM
  - Patch to fix french typo
